Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class ParagraphAndChildrenType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.BaseType
          be.fgov.ehealth.dics.core.v1.ParagraphType
              be.fgov.ehealth.dics.core.v1.ParagraphAndChildrenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class ParagraphAndChildrenType

extends ParagraphType
implements Serializable

Java class for ParagraphAndChildrenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParagraphAndChildrenType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v1}ParagraphType">
           <sequence>
             <element name="Verse" type="{urn:be:fgov:ehealth:dics:core:v1}VerseType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Exclusion" type="{urn:be:fgov:ehealth:dics:core:v1}ExclusionType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ParagraphAndChildrenType()`

Method Summary
`List<ExclusionType>` | `getExclusions()` Gets the value of the exclusions property.
`List<VerseType>` | `getVerses()` Gets the value of the verses property.

Methods inherited from class be.fgov.ehealth.dics.core.v1.ParagraphType
`getAgreementType, getAgreementTypePro, getChapterName, getKeies, getLegalReference, getModificationDate, getParagraphName, getParagraphVersion, getProcessType, getProcessTypeOverrule, getPublicationDate, setAgreementType, setAgreementTypePro, setChapterName, setLegalReference, setModificationDate, setParagraphName, setParagraphVersion, setProcessType, setProcessTypeOverrule, setPublicationDate`

Methods inherited from class be.fgov.ehealth.dics.core.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParagraphAndChildrenType

    public ParagraphAndChildrenType()

Method Detail

### getVerses

    public List<VerseType> getVerses()

  Gets the value of the verses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the verses property.

  For example, to add a new item, do as follows:

          getVerses().add(newItem);

  Objects of the following type(s) are allowed in the list `VerseType`

### getExclusions

    public List<ExclusionType> getExclusions()

  Gets the value of the exclusions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the exclusions property.

  For example, to add a new item, do as follows:

          getExclusions().add(newItem);

  Objects of the following type(s) are allowed in the list `ExclusionType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.